summaryrefslogtreecommitdiff
path: root/infrastructure/mingw/configure.sh
diff options
context:
space:
mode:
Diffstat (limited to 'infrastructure/mingw/configure.sh')
-rwxr-xr-xinfrastructure/mingw/configure.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/infrastructure/mingw/configure.sh b/infrastructure/mingw/configure.sh
index 0486b20d..5f16c558 100755
--- a/infrastructure/mingw/configure.sh
+++ b/infrastructure/mingw/configure.sh
@@ -16,12 +16,21 @@ if [ ! -r "$DEP_PATH/lib/libpcreposix.a" \
exit 2
fi
+<<<<<<< HEAD
export CXX="g++ -mno-cygwin"
export LD="g++ -mno-cygwin"
export CFLAGS="-mno-cygwin -mthreads"
export CXXFLAGS="-mno-cygwin -mthreads"
export LDFLAGS="-mno-cygwin -mthreads"
export LIBS="-lcrypto -lws2_32 -lgdi32"
+=======
+LIBZ_PATH="${DEP_PATH}/sys-root/mingw/lib"
+
+if [ ! -r "$LIBZ_PATH/libz.dll.a" ]; then
+ echo "Error: upgrade your Cygwin mingw-zlib-devel package" >&2
+ exit 2
+fi
+>>>>>>> 0.12
if [ ! -x "configure" ]; then
if ! ./bootstrap; then
@@ -30,7 +39,16 @@ if [ ! -x "configure" ]; then
fi
fi
+<<<<<<< HEAD
if ! ./configure --target=i686-pc-mingw32; then
+=======
+if ! ./configure "$@" --target=i686-pc-mingw32 \
+ CFLAGS="-mno-cygwin -mthreads" \
+ CPPFLAGS="-mno-cygwin" \
+ CXXFLAGS="-mno-cygwin -mthreads" \
+ LDFLAGS="-Wl,-Bstatic -mno-cygwin -mthreads -L${DEP_PATH}/lib -L${LIBZ_PATH}"
+then
+>>>>>>> 0.12
echo "Error: configure failed, aborting." >&2
exit 1
fi